<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Обменник - Создание новой папки
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Создать папку';
include_once'../template/head.php';
registrat();
$adminka ->admin();
if($_GET['dir'])
    {
	$dir = $_GET['dir'];
	}

            if($_POST['submit_dir'])
            {
                $submit_dir = $_POST['submit_dir'];
            }
                echo '<div class="posts">';
				
        if(isset($submit_dir))
        {
		
    if($_POST['dir_name']){
	    $dir_names = $_POST['dir_name'];
	}
        if($_POST['vib']){
		    $vib = $_POST['vib'];
		}

            if(mysql_result(mysql_query("SELECT * FROM `download_dir` WHERE `name`='$dir_names'"),0) != 0)
            {
                echo '<div class="errors">Папка с таким именем уже существует</div>';
                header("Refresh: 1; url=?act_dir");
                include_once'../template/foot.php';
                exit();
            }

    if(empty($dir_names))
    {
        echo '<div class="errors">Введите название папки</div>';
        header('Refresh: 1; url=?');
        include_once'../template/foot.php';
        exit();
    }

            $dir_names = htmlspecialchars($dir_names);
            $dir_names = stripslashes($dir_names);
			
        if(strlen($dir_names)<1 || strlen($dir_names) >30)
        {
            echo '<div class="errors">Название должно быть не больше 30 символов</div>';
            header('Refresh:1; url=?');
            include_once'../template/foot.php';
            exit();
        }
		
            if($submit_dir and $dir_names)
            {
                $dir_path1 = 'download/'. $dir_path . $dir_names;
                $dir_n = $dir_path . $dir_names .'/';
                $ok_mysql_dir = mysql_query("INSERT INTO `download_dir` (`name`,`time`,`dir_path`,`dir_index`,`vib`) VALUES ('$dir_names','$time_date','$dir_n','$dir','$vib')");
				
                if($ok_mysql_dir == true)
                {
				    if($dir == true)
				    {
                        echo '<div class="actshcms">Папка создана</div>';
                        header("Refresh: 1; url=index.php?dir=$dir");
                        include_once'../template/foot.php';
                        exit;
                    }
				    else
				    {
                        echo '<div class="actshcms">Папка создана</div>';
                        header("Refresh: 1; url=index.php?");
                        include_once'../template/foot.php';
                        exit;				
				    }
				}
                else
                {
                    echo '<div class="errors">Ошибка создании папки</div>';
                    header("Refresh: 1; url=?act_dir");
                    include_once'../template/foot.php';
                    exit;
                }
            }
        }
        if($dir == true)
        {
            echo '<form action="?dir='.$dir.'" method="post">';
        }
		else
        {
            echo '<form action="?dir" method="post">';
        }
            echo 'Название папки:<br/><input type="text" name="dir_name"><br/>';
            echo '<input name="vib" type="checkbox" value="1" ' .($file_while['vib']?'checked="checked"':'') . ' />&nbsp;Разрешить выгрузку файлов<br />';
            echo '<input type="submit" name="submit_dir" value="Создать">';
            echo '</form></div>';
    
include_once'../template/foot.php';
?>